## UDisksProvider

UDisksProvider — Abstract base class for all data providers

## Functions

void | udisks_provider_start ()
UDisksDaemon * | udisks_provider_get_daemon ()

## Properties

UDisksDaemon * | daemon | Read / Write / Construct Only

## Types and Values

| UDisksProvider
struct | UDisksProviderClass

## Object Hierarchy

        GObject
        ╰── UDisksProvider
            ╰── UDisksLinuxProvider

## Description

Abstract base class for all data providers.

## Functions

### udisks_provider_start ()

    void
    udisks_provider_start (UDisksProvider *provider);

Starts the provider.

#### Parameters

provider | A UDisksProvider. |

### udisks_provider_get_daemon ()

    UDisksDaemon *
    udisks_provider_get_daemon (UDisksProvider *provider);

Gets the daemon used by `provider` .

#### Parameters

provider | A UDisksProvider. |

#### Returns

A UDisksDaemon. Do not free, the object is owned by `provider` .

## Types and Values

### UDisksProvider

    typedef struct _UDisksProvider UDisksProvider;

The UDisksProvider structure contains only private data and should only be accessed using the provided API.

### struct UDisksProviderClass

    struct UDisksProviderClass {
      GObjectClass parent_class;

      void (*start) (UDisksProvider *provider);
    };

Class structure for UDisksProvider.

#### Members

`start` () | Virtual function for `udisks_provider_start()`. The default implementation does nothing. |

## Property Details

### The `“daemon”` property

      “daemon”                   UDisksDaemon *

The UDisksDaemon the provider is for.

Owner: UDisksProvider

Flags: Read / Write / Construct Only